TRF(1)

NAME
trf - locate and display tandem repeats in DNA sequences

SYNOPSIS
trf (File|Match|Mismatch|Delta|PM|PI|Minscore|MaxPeriod) [options]

OPTIONS
Where: (all weights, penalties, and scores are positive)

File
    sequences input file

Match
    matching weight

Mismatch
    mismatching penalty

Delta
    indel penalty

PM  match probability (whole number)

PI  indel probability (whole number)

Minscore
    minimum alignment score to report

MaxPeriod
    maximum period size to report

  [options] = one or more of the following:

-m  masked sequence file

-f  flanking sequence

-d  data file

-h  suppress html output

-r  no redundancy elimination

-l <n>
    maximum TR length expected (in millions) (eg, -l 3 or -l=3 for 3 million) Human genome HG38 would need -l 6

-ngs
    more compact .dat output on multisequence files, returns 0 on success. Output is printed to the screen, not a file. You may pipe input in with this option using - for file name. Short 50 flanks are appended to .dat output.

SEE ALSO
See more information on the TRF Unix Help web page: https://tandem.bu.edu/trf/trf.unix.help.html

NOTE
Note the sequence file should be in FASTA format:

>Name of sequence aggaaacctgccatggcctcctggtgagctgtcctcatccactgctcgctgcctctccag atactctgacccatggatcccctgggtgcagccaagccacaatggccatggcgccgctgt actcccacccgccccaccctcctgatcctgctatggacatggcctttccacatccctgtg

AUTHOR
Copyright © 1999-2020 Gary Benson

This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.